<template name="header">
    <header class="fixed-top">
        <div class="container-fluid">
            <div class="navbar-section d-flex">
                <div class="nav-links d-flex align-items-center w-50">
                    <a class="navbar-brand" href="/">Кошница</a>
                    <div class="nav-links-anchors w-100">
                        <a href="{{ pathFor route='graphs' }}" class="mr-2">Истражи податке</a>
                        <a href="{{ pathFor route='about' }}">О кошници</a>
                        <!-- <a href="#">Помоћ</a> -->
                    </div>
                </div>
                <div class="user-nav d-flex justify-content-xl-end w-50">
                    <!-- <div class="col-1 d-flex justify-content-center align-items-center">
                        <img src="/assets/icons/search.svg" width="16" alt="search">
                    </div> -->
                    <a href="#" id="e-downloadData" class="mr-3">Преузми све податке </a>
                    {{#if userRegistrationCompleted}}
                        <a href="#" id="e-openBubble">
                            {{#if currentUser.profile.picture}}
                                <img src="{{currentUser.profile.picture.link}}" id="loggedin-avatar" alt="{{currentUser.profile.name}}">
                            {{else}}
                                <img src="/assets/icons/user.svg" id="notsigned-avatar" alt="user_avatar">
                            {{/if}}
                        </a>
                    {{else}}
                        <a href="#" class="d-flex align-items-center"  id="e-openBubble">
                            <img src="/assets/icons/user.svg" id="notsigned-avatar" alt="user_avatar">
                        </a>
                    {{/if}}
                </div>
                <div class="profile-bubble {{#if bubbleOpened}}open{{/if}}">
                    <ul>
                        {{#if currentUser}}
                            <li><img src="/assets/icons/settings.svg" alt="Settings icon" class="bubble-icon"><a href="{{ pathFor route='settings' }}">Подешавање налога</a></li>
                            <li><img src="/assets/icons/sign-out.svg" alt="Sign out icon" class="bubble-icon"><a href="#" id="e-signOut">Одјави се</a></li>
                        {{else}}
                            <li><img src="/assets/icons/register.svg" alt="Settings icon" class="bubble-icon"><a href="{{ pathFor route='register' }}">Додај своје податке</a></li>
                            <li><img src="/assets/icons/sign-in.svg" alt="Sign out icon" class="bubble-icon"><a href="{{ pathFor route='signIn' }}">Пријави се</a></li>
                        {{/if}}
                    </ul>
                </div>
            </div>
        </div>
    </header>
</template>
